Bug 111178 - ifup doesn't detect link on HomePNA cards
Summary: ifup doesn't detect link on HomePNA cards
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL: http://groups.google.com/groups?q=che...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-28 22:25 UTC by Mikko Paananen
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2004-09-29 19:45:33 UTC


Attachments (Terms of Use)

Description Mikko Paananen 2003-11-28 22:25:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031017 Firebird/0.7

Description of problem:
Some network drivers can't tell if network cable is connected, when
such card/driver is used, initscripts assume "link is down" and don't
bring interface up.

This bug has hit particulary hard on users using HomePNA (1Mbit/s
ethernet over phonelines) style broadband connections and DHCP.


Version-Release number of selected component (if applicable):
initscripts-7.42-1

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 1
2. Try to connect to network using HomePNA
3.


Actual Results:  Computer nevers attempts to discover IP using DHCP,
instead error message " failed; no link present.  Check cable?" is shown.


Expected Results:  Networking works fine after commenting out
check_link_down check on lines 274-278 in
/etc/sysconfig/network-scripts/ifup.


Additional info:

Most HomePNA PCI cards seem to use AMD pcnet32 driver. It might be
driver issue or maybe it is impossible to detect link beat on such media.

Something (mii-tool or ethtool) prints some messages during network
start indicating network link existence cannot be detected on this
interface/hardware. In that case it should be assumed that cable is
connected and continue as usual.

Comment 1 Bill Nottingham 2003-11-29 02:11:08 UTC
It's a driver/physical issue. The driver claims that the link is down;
if it just said  that the operation wasn't supported, we wouldn't
assume that it is down.

Comment 2 David Lawrence 2004-09-29 19:45:33 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.